#ifndef BITMAP_FORMAT_SELECTOR_H
#define BITMAP_FORMAT_SELECTOR_H

#include <MenuItem.h>
#include <View.h>
#include <TranslationDefs.h>
#include <PopUpMenu.h>
#include <MenuField.h>

class TranslatorMenuItem : public BMenuItem {
	public:
		TranslatorMenuItem(const char *name, BMessage *message, translator_id id, uint32 format);
		
		translator_id id;
		uint32 format;
};

class BitmapFormatSelector : public BView
{
public :
	BitmapFormatSelector(BRect frame, const char *name, const char *label);
	TranslatorMenuItem *GetCurrentMenuItem();
private :
	void BuildMenu();
	
	BPopUpMenu *fFormatPopUpMenu;
	BMenuField *fFormatMenuField;

};

#endif //BITMAP_FORMAT_SELECTOR_H