#include "FileNameListView.h"
#include <Window.h>

FileNameListView::FileNameListView(BRect frame, const char *name)
	: BListView(frame, name, B_MULTIPLE_SELECTION_LIST, B_FOLLOW_ALL_SIDES)
{
	fPrefix = "";
	fSuffix = "";
	fInitialNumber = 0;
	fTotalNumber = 0;
}

void FileNameListView::SetPrefix(const char *prefix)
{
	fPrefix = prefix;
	MakeList();
}

void FileNameListView::SetSuffix(const char *suffix)
{
	fSuffix = suffix;
	MakeList();
}

void FileNameListView::SetInitialNumber(int32 initialNumber)
{
	fInitialNumber = initialNumber;
	MakeList();
}

void FileNameListView::SetTotalNumber(int32 totalNumber)
{
	if (totalNumber > 0)
		fTotalNumber = totalNumber;
	else
		fTotalNumber = 0;
	MakeList();
}

void FileNameListView::MakeList()
{
	RemoveAllItem();
	for (int32 i = 0; i < fTotalNumber; i++)
	{
		BString item = "";
		item << fPrefix << fInitialNumber + i << fSuffix;
		this->AddItem(new BStringItem(item.String()));
	}
	
}

void FileNameListView::RemoveAllItem()
{
	BListItem *item;
	int32 index = 0;
	while ((item = this->RemoveItem(index)) != NULL)
	{
		delete item;
		//index++;
	}
}

void FileNameListView::SelectionChanged()
{
	this->Window()->PostMessage(FILE_LIST_SELECTION_CHANGED);
	BListView::SelectionChanged();
}
