#ifndef FILE_NAME_LIST_VIEW_H
#define FILE_NAME_LIST_VIEW_H

#include <ListView.h>
#include <String.h>

const uint32 FILE_LIST_SELECTION_CHANGED = 'slch';

class FileNameListView : public BListView
{
public :
	FileNameListView(BRect frame, const char *name);
	void SelectionChanged();
	void SetPrefix(const char *prefix);
	void SetSuffix(const char *suffix);
	void SetInitialNumber(int32 initialNumber);
	void SetTotalNumber(int32 totalNumber);
private :
	void MakeList();
	void RemoveAllItem();
	
	BString fPrefix;
	BString fSuffix;
	int32 fInitialNumber;
	int32 fTotalNumber;
};

#endif //FILE_NAME_LIST_VIEW_H