#ifndef MI_WINDOW_H
#define MI_WINDOW_H

#include <Window.h>
#include <TextControl.h>
#include "FileView.h"
#include "FileNameListView.h"
#include "BitmapFormatSelector.h"
#include "MovieDecomposer.h"

class MIWindow : public BWindow
{
public :
	MIWindow();
	void MessageReceived(BMessage *message);
private :
	void InitContent();
	void CreateBitmap();
	void RefreshVideoInfo();
	status_t CheckVideo();
	status_t CheckBitmap(BBitmap *bitmap);
	
	FileView *fVideoSpecifier;
	FileView *fFolderSpecifier;
	FileNameListView *fFileList;
	BitmapFormatSelector *fFormatSelector;
	MovieDecomposer *fVideoCutter;
	BTextControl *fPrefix;
	BTextControl *fSuffix;
	BTextControl *fInitialNumber;
	BTextControl *fEveryXFrame;
	BBox *fImageView;
	
};

#endif //MI_WINDOW_H